### File

`packages/core/src/lib/services/log/log.module.ts`

### Description

Log Module

### Methods

Static forChild
`forChild(config: LogConfig)`

method called in your other (non root, lazy loaded) modules to import a different instance of LogService

Parameters :

Name | Type | Optional | Default value
config | `LogConfig` | No | `DEFAULT_LOG_CONFIG`

Returns : `ModuleWithProviders<LogModule>`

Static forRoot
`forRoot(config: LogConfig)`

method called in your root module to provide the LogService

Parameters :

Name | Type | Optional | Default value
config | `LogConfig` | No | `DEFAULT_LOG_CONFIG`

Returns : `ModuleWithProviders<LogModule>`

# results matching ""

# No results matching ""